<template>
  <div class="container d-flex justify-content-center align-items-center" style="height: 100vh;">
    <form @submit.prevent="submitForm">
      <div class="mb-3">
        <button type="button" class="btn btn-primary" @click="openFileDialog">
          <b-icon-file-earmark-excel />
          Dosya Seç
        </button>
      </div>
    </form>
  </div>
</template>

<script>
import {ClaimFile} from "../../bindings/main/BotService.js";
export default {
  methods: {
    openFileDialog() {
      ClaimFile().then((resultValue) => {
          let value = resultValue;
          if(value != '')
          {
            alert("Dosya Seçildi")
          }
        }).catch((err) => {
            alert("Dosya Seçilemedi")
          console.log(err);
        });
    }
  }
};
</script>

<style>
/* Add custom styles here if needed */
</style>